package com.bcxin.ars.dao.sb;

import com.bcxin.ars.dto.DataSynchronizationSearchDto;
import com.bcxin.ars.dto.sb.ConfesscompanySearchDto;
import com.bcxin.ars.dto.sb.SubsidiarySearchDto;
import com.bcxin.ars.model.sb.Confesscompany;
import com.bcxin.ars.model.sb.Sponsorlicense;
import com.bcxin.ars.model.sb.Subsidiary;
import com.bcxin.ars.model.sys.Approval;
import com.com.bcxin.ars.com.abcxin.smart.core.web.validate.AjaxPageResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ConfesscompanyDao {

    Confesscompany findById(Long id);

    Confesscompany findByIdWithOutCache(Long id);
    /**
     *
     * @Decription:批量查询
     * @author：zhongjianhui
     * @method  findByBatchId
     * @date：2018/8/17 9:17
     * @params： * @param approvalList
     * @return java.util.List<com.bcxin.ars.model.sb.Confesscompany>
     */
    List<Confesscompany> findByBatchId(@Param("approvalList") List<Approval> approvalList);

    List<Confesscompany> findByBatchIdWithOutCache(@Param("approvalList") List<Approval> approvalList);


    /**
     *
     * @Decription:批量更新
     * @author：zhongjianhui
     * @method  updateBatch
     * @date：2018/8/17 9:20
     * @params： * @param approvalList
     * @return void
     */
    void updateBatch(@Param("approvalList")List<Confesscompany> approvalList);

    Long save(Confesscompany confesscompany);

    void update(Confesscompany confesscompany);

    List<Confesscompany> search(ConfesscompanySearchDto dto);

    Long searchCount(ConfesscompanySearchDto dto);

    Confesscompany findByUser(Long userid);

    List<Confesscompany> searchForDataSynchronization(DataSynchronizationSearchDto dto);

	List<Confesscompany> findAll();

    int countConfesscompanyList(Map<Object, Object> p);

    List<Map<Object,Object>>  searchConfesscompanyList(Map<Object, Object> p);
	void delete(Confesscompany confesscompany);

    Confesscompany findApproveByCompanyName(Confesscompany confesscompany);

    Confesscompany findApproveByCreditcode(Confesscompany confesscompany);

    Map<String,Object> selectApplyUserInfoWithId(Long id);

    List<Map<Object,Object>>  searchForPage(ConfesscompanySearchDto dto, AjaxPageResponse<Confesscompany> page);

    List<Confesscompany> findUnIntegrated();
}
