package com.bcxin.ars.dao.sb;

import com.bcxin.ars.dto.DataSynchronizationSearchDto;
import com.bcxin.ars.dto.sb.PersonworkexperienceSearchDto;
import com.bcxin.ars.model.sb.Personworkexperience;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PersonworkexperienceDao {

	Personworkexperience findById(long id);
	
	Long save(Personworkexperience personworkexperience);

	Long saveForDS(Personworkexperience personworkexperience);
	
	void update(Personworkexperience personworkexperience);
	
	List<Personworkexperience> search(PersonworkexperienceSearchDto dto);


	List<Personworkexperience> searchByPid(@Param("pid") Long pid);

	List<Personworkexperience> searchForDataSynchronization(DataSynchronizationSearchDto searchDto);
	
	Long searchCount(PersonworkexperienceSearchDto dto);

	void delete(Personworkexperience personworkexperience);

	/**
	 * 通过保安员资格报名id删除工作经历
	 * @param id 保安员资格报名id
	 */
	void deleteByPersoncertificateId(Long id);

	/**
	 * 批量保存工作经历
	 * @param workexperienceList
	 */
	void batchUpdate(List<Personworkexperience> workexperienceList);
}
