package com.bcxin.ars.dao.sb;

import java.util.List;

import com.bcxin.ars.dto.DataSynchronizationSearchDto;
import com.bcxin.ars.dto.sb.ShareholderSearchDto;
import com.bcxin.ars.model.sb.Shareholder;
import org.apache.ibatis.annotations.Param;

public interface ShareholderDao {

	Shareholder findById(Long id);

	Shareholder findByIdWithOutCache(Long id);

	Long save(Shareholder shareholder);

	void saveForDS(Shareholder shareholder);
	
	void update(Shareholder shareholder);
	
	List<Shareholder> search(ShareholderSearchDto dto);

	Long searchCount(ShareholderSearchDto resultDto);

	List<Shareholder> searchForDataSynchronization(DataSynchronizationSearchDto searchDto);

	Shareholder findByName(String name);

	void deleteBySid(String sponsorlicenseid);

    /***
     * 根据保安服务公司申请ID获取列表
     * @param sponsorlicenseid
     * @return
     */
    List<Shareholder> findBySId(@Param("sponsorlicenseid") String sponsorlicenseid);
}
